Welcome to our new forum
All users of the legacy CODESYS Forums, please create a new account at account.codesys.com. But make sure to use the same E-Mail address as in the old Forum. Then your posts will be matched. Close

the controller device is not registered softmotion device

Anonymous
2017-12-11
2021-05-17
  • Anonymous - 2017-12-11

    Originally created by: eser_

    Hello everyone,

    I am trying to control metronix servo via codesys win v3.

    But when i login there is as 'the controller device is not registered softmotion device'.

    What this mean and how can i solve this problem.

    can anyone help.

    Thank you.

    IMG: screen

    IMG: screen

     
  • acasilla

    acasilla - 2020-10-26

    Hi,

    Did you resolve theses error?

     
  • eschwellinger

    eschwellinger - 2020-10-27

    Hi,
    you need to select a device which is capable for SoftMotion, that's the solution for this.

     
  • marla

    marla - 2021-03-15

    Hi,
    I am facing the same problem. Due to the fact I am using a Delta ASDA-A2-E Controller, it should be capabale for SoftMotion, right?
    I installed SM3_Basic and SM3_Drive_ETC_Delta_ASDA_A2 libraries and the Ethercat bus is working when writing onto the ControlWord manually. But I still get this error and am not able to use any SoftMotion functions. Could you please tell me what I might be missing out on here?

     

    Last edit: marla 2021-03-15
    • acasilla

      acasilla - 2021-03-15

      You need install the licence.

      You need check if you device suport softmotion and if you device suport softmotion buy the licence and install, I think the cost is 120 usd or something like that.

       
  • marla

    marla - 2021-03-16

    Thanks for the quick reply. I already got the SoftMotion license and installed it on my device. In the CodeSys homepage it says that Delta ASDA A2 is a supported device, so this should not be the problem I guess.
    Are there any other licenses needed? Or any other libraries?

     
  • marla

    marla - 2021-03-16

    Ok, nevermind. I was suspecting the wrong device to be the problem. My PLC PFC200 is not compatible with SoftMotion. In case someone runs into the same error...

     
  • eschwellinger

    eschwellinger - 2021-03-17

    ..the upcoming version 4.1.0.0 on runtime side and CODESYS SP17 release, every device is basically capabale for SoftMotion. ( sure if the device OS fullfill the reatime capabilities)

     

    Last edit: eschwellinger 2021-03-17
  • marla

    marla - 2021-03-17

    Thanks for the info. Do you already know when these will be available?

     
  • eschwellinger

    eschwellinger - 2021-03-17

    release on 29th march

     
  • acasilla

    acasilla - 2021-05-13

    Hi,
    The new version was relase, the sp17 resolve the problem?

     
  • marla

    marla - 2021-05-17

    I put my CodeSys project aside and used another PLC for the project, so that I can't tell. When using the PFC PLC in some future project I will try again...

     

Log in to post a comment.